nginx sérülékenységek
Angol cím: 
nginx Vulnerabilities
CERT-Hungary ID: 
CH-14517
Felfedezés dátuma: 
2018-11-06
Összefoglaló: 

Az nginx webszerver több közepes kockázati besorolású sérülékenységét jelentették, amelyeket kihasználva a támadók bizalmas információkat szerezhetnek, vagy szolgáltatás megtagadást idézhetnek elő.

Leírás: 
  • Az ngx_http_mp4_module egy sérülékenységét kihasználva a távoli támadó egy speciálisan megszerkesztett mp4 fájl segítségével végtelen ciklust idézhet elő, vagy akár információkat nyerhet ki a folyamat memóriatartományából. A sérülékenységet csak akkor lehet kihasználni, ha az ngx_http_mp4_module be van kapcsolva (alapértelmezés szerint nincs), és az "mp4" direktíva használatban van a konfigurációs állományban.
  • A HTTP/2 modul egy sérülékenységét kihasználva a távoli támadó olyan speciálisan megszerkesztett csomagot tud küldeni, amely feldolgozása leterheli a processzort, és lefoglalja az összes rendelkezésre álló memóriát. A sérülékenységet csak akkor lehet kihasználni, ha az ngx_http_v2_module be van kapcsolva (alapértelmezés szerint nincs), és a "listen" direktíva "https" opciója használatban van a konfigurációs állományban.
Megoldás: 
Frissítsen a legújabb verzióra
Érintett verziók: 
nginx 1.x